Summary:   Free OpenGL implementation. Runtime environment
Name:      Mesa 
Version:   2.6
Release:   2
Copyright: GPL
Group:     Libraries
Source0:   ftp://iris.ssec.wisc.edu/pub/Mesa/MesaLib-2.6.tar.gz
Source1:   ftp://iris.ssec.wisc.edu/pub/Mesa/MesaDemos-2.6.tar.gz
Patch0:    Mesa-2.6b5-misc.patch
URL:       http://www.ssec.wisc.edu/~brianp/Mesa.html
BuildRoot: /var/tmp/mesa-root

%changelog

* Wed May 21 1998 Michael Maher <mike@redhat.com>
- merged redhat and Christian 'Dr. Disk' Hechelmann spec files

* Thu Feb 12 1998 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- updated to final version 2.6

* Thu Feb 05 1998 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- Fixed thinko in misc patch
- build against glibc

* Sat Jan 31 1998 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- updated to version 2.6beta5
- added widget-mesa to the things to be build.

* Mon Jan 26 1998 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- updated to version 2.6beta4

* Sun Dec 14 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- updated to version 2.6beta1

* Sat Dec 13 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- Moved GLUT into a separate subpackage and added an Obsoletes tag to this
  subpackage
- Moved lib*.so to the devel package, they are only needed for development,
  not for a runtime environment.

* Sat Nov 29 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- added patches from ftp://iris.ssec.wisc.edu/pub/Mesa/patches_to_2.5
- BuildRoot'ed
- Prefix'ed
- added static versions of the libraries. (PPC version seems not to have
  support for shared versions of the library)
- moved static versions of the library and the includes to the new subpackage
  'devel'
- targets other than linux-x86 still untested.
- added Conflitcs tag
- added %postun
- added patch for RPM_OPT_FLAGS support

* Fri Nov 21 1997 Karsten Weiss <karsten@addx.au.s.shuttle.de>
- Upgraded to Mesa 2.5
- Multiarch destinations (untested).
- Included GLUT.
- Removed some of the READMEs for other platforms from the binary RPM.

%description
Mesa is a 3-D graphics library with an API which is very similar to that
of OpenGL*.  To the extent that Mesa utilizes the OpenGL command syntax
or state machine, it is being used with authorization from Silicon Graphics,
Inc.  However, the author makes no claim that Mesa is in any way a
compatible replacement for OpenGL or associated with Silicon Graphics, Inc.
Those who want a licensed implementation of OpenGL should contact a licensed
vendor.  This software is distributed under the terms of the GNU Library
General Public License, see the LICENSE file for details.

* OpenGL(R) is a registered trademark of Silicon Graphics, Inc.

%package devel
Summary: Development environment for Mesa
Group: Developments/Libraries

%description devel
The static version of the Mesa libraries and include files needed for
development.

%package glut
Summary: GLUT library for Mesa
Group: X11/Libraries
Conflicts: glut

%description glut
The GLUT library.

%package glut-devel
Summary: GLUT Development environment for Mesa
Group: Developments/Libraries
Conflicts: glut-devel

%description glut-devel
The static version of the GLUT library and include files needed for
development.

%package demos
Summary: Mesa Demos
Group: Developments/Libraries

%description demos
Demonstration programs for the Mesa libraries.

%prep
%setup -q -n Mesa-2.6 -b 1
%patch -p1 -b .misc

%build

%ifarch alpha
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" LIBS_ONLY=YES linux-alpha
make clean
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" linux-alpha-elf
%endif

%ifarch ppc
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" linux-ppc
%endif

%ifarch i386
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" LIBS_ONLY=YES linux-386
make clean
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" linux-386-elf
%endif

(
cd widgets-mesa
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make 
)

%install
[ -n "$RPM_BUILD_ROOT" -a -n "`echo $RPM_BUILD_ROOT|sed -e 's#/##g'`" ] || exit 1
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{lib/Mesa-2.6,include,man/man3}

cp -dpr lib include $RPM_BUILD_ROOT/usr
cp -dpr book demos xdemos samples util $RPM_BUILD_ROOT/usr/lib/Mesa-2.6
cp Make-config $RPM_BUILD_ROOT/usr/lib/Mesa-2.6

(
cd widgets-mesa
make prefix=$RPM_BUILD_ROOT/usr install
)

%clean
[ -n "$RPM_BUILD_ROOT" -a -n "`echo $RPM_BUILD_ROOT|sed -e 's#/##g'`" ] || exit 1
rm -fr $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%attr(-, root, root) %doc FUTURE IAFA-PACKAGE LICENSE README* RELNOTES VERSIONS

%ifnarch ppc
%attr(755, root, bin) /usr/lib/libMesa*.so.*
%else
%attr(644, root, bin) /usr/lib/libMesa*.a
%endif

%files glut
%ifnarch ppc
%attr(755, root, bin) /usr/lib/libglut.so.*
%else
%attr(644, root, bin) /usr/lib/libglut.a
%endif

%files glut-devel
%ifnarch ppc
%attr(755, root, bin) /usr/lib/libglut.so
%attr(644, root, bin) /usr/lib/libglut.a
%endif
%attr(444, root, root) /usr/include/GL/glut.h

%files devel
%ifnarch ppc
%attr(755, root, bin) /usr/lib/libMesa*.so
%attr(644, root, bin) /usr/lib/libMesa*.a
%endif

%attr(755, root, root) %dir /usr/lib/Mesa-2.6
%attr(644, root, root)      /usr/lib/Mesa-2.6/Make-config
%attr(755, root, root) %dir /usr/lib/Mesa-2.6/util
%attr(-, root, root)        /usr/lib/Mesa-2.6/util/*

%attr(755, root, root) %dir /usr/include/GL
%attr(444, root, root) /usr/include/*.h
%attr(444, root, root) /usr/include/GL/GLw*.h
%attr(444, root, root) /usr/include/GL/Mesa*.h
%attr(444, root, root) /usr/include/GL/FooMesa.h
%attr(444, root, root) /usr/include/GL/gl.h
%attr(444, root, root) /usr/include/GL/gl_mangle.h
%attr(444, root, root) /usr/include/GL/glu.h
%attr(444, root, root) /usr/include/GL/glu_mangle.h
%attr(444, root, root) /usr/include/GL/glx.h
%attr(444, root, root) /usr/include/GL/glx_mangle.h
%attr(444, root, root) /usr/include/GL/*mesa.h
%attr(444, root, man)  /usr/man/man?/*

%files demos
%attr(755, root, root) %dir /usr/lib/Mesa-2.6/book
%attr(755, root, root) %dir /usr/lib/Mesa-2.6/demos
%attr(755, root, root) %dir /usr/lib/Mesa-2.6/samples
%attr(755, root, root) %dir /usr/lib/Mesa-2.6/xdemos

%attr(-, root, root) /usr/lib/Mesa-2.6/book/*
%attr(-, root, root) /usr/lib/Mesa-2.6/demos/*
%attr(-, root, root) /usr/lib/Mesa-2.6/samples/*
%attr(-, root, root) /usr/lib/Mesa-2.6/xdemos/*
